package com.liangjian.dataplatform.member.entity.vo.datanodes;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.liangjian.dataplatform.member.constant.DataNodeConstant;
import com.liangjian.dataplatform.member.entity.pojo.DataBaseInfo;

import java.util.Date;

/**
 * @Author: 黄子奇
 * @Date: 2019/8/26 15:55
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class MetaDataSource extends DataNode {

    private static final long serialVersionUID = 1962015509326543446L;

    private String type;

    private DataBaseInfo entry;

    public MetaDataSource() {
    }

    public MetaDataSource(String id, String prtId, String name, String bizDomain, String nodeType, Boolean isParent, String comment, String remark, Date crtDate, Date lastUpdate, String crtUser, String namespace, String type, DataBaseInfo entry) {
        super(id, prtId, name, bizDomain, nodeType, isParent, comment,remark, crtDate, lastUpdate, crtUser, namespace);
        this.type = type;
        this.entry = entry;
    }

    @Override
    public String getDataKind() {
        return DataNodeConstant.KIND_DATASOURCE;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public DataBaseInfo getEntry() {
        return entry;
    }

    public void setEntry(DataBaseInfo entry) {
        this.entry = entry;
    }
}
